BEGIN_SHELL [ /usr/bin/python ]

to_compute = [\
 "eplf",
 "eplf_grad",
 "eplf_lapl",
 "elf",
 "elf_grad",
 "elf_lapl",
 "density",
 "density_grad",
 "density_lapl",
]

template = """
BEGIN_PROVIDER [ logical, comp_$X ]
 implicit none
 BEGIN_DOC  
! If true, $X
 END_DOC
 comp_$X = .False.
 call get_compute_$X(comp_$X)
END_PROVIDER
"""

for t in to_compute:
  print template.replace("$X",t)

END_SHELL
